Download digital order asset
curl --request GET \
--url http://staging.qshop.ng/apiv2/{shopId}/orders/{orderId}/download-asset \
--header 'Content-Type: application/json' \
--data '
{
"orders": [
"2353-371789-2644",
"2353-171344-9569",
"2353-171422-3027"
]
}
'import requests
url = "http://staging.qshop.ng/apiv2/{shopId}/orders/{orderId}/download-asset"
payload = { "orders": ["2353-371789-2644", "2353-171344-9569", "2353-171422-3027"] }
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({orders: ['2353-371789-2644', '2353-171344-9569', '2353-171422-3027']})
};
fetch('http://staging.qshop.ng/apiv2/{shopId}/orders/{orderId}/download-asset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Orders - Redeem digital assets
Download digital order asset
GET
/
{shopId}
/
orders
/
{orderId}
/
download-asset
Download digital order asset
Path Parameters
Example:
"64abf69b2ed7a69ef04b6f8b"
Query Parameters
Example:
"ecc5df9c2333af7fb3b3822ef673e7dffe07edbff47eb49e41a5909319b58e866e95f20fb746ac0e8399f794748b4697dff95b9ed2d492487f2314ee4c4af659e5664a028f4c0163b7a9b7f40b7363094d5fd5a91a3a004e33e15919b1f559e0"
Example:
"64abe462227a17d381cf54c7"
Example:
"64abe462227a17d381cf54c5"
Body
application/json
Example:
[
"2353-371789-2644",
"2353-171344-9569",
"2353-171422-3027"
]
Response
200 - undefined
Was this page helpful?
⌘I